Download S3
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Download S3 action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Download files from AWS S3/",
"type": "DOWNLOAD_S3",
"trigger_time": "ON_EVERY_EXECUTION",
"bucket_name": "bucketname",
"source_path": "source",
"destination_path": "destination",
"integration": {
"identifier": "aws"
},
"overwrite": true,
"recursive": true,
"download_excludes": [
"/tmp",
"*.log"
],
"download_includes": [
"/tmp/assets",
"/tmp/styles"
]
}'STATUS200 OK